| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxGridRowHeaderRendererDefault Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridRowHeaderRendererDefault:
[legend]

## Detailed Description

Default row header renderer.

You may derive from this class if you need to only override one of its methods (i.e. either DrawLabel() or DrawBorder()) but continue to use the default implementation for the other one.

See Also
  wxGridColumnHeaderRendererDefault

Since
  2.9.1

## Public Member Functions

virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const
| Implement border drawing for the row labels.

## Member Function Documentation

virtual void wxGridRowHeaderRendererDefault::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect
| ) |  | const

virtual

Implement border drawing for the row labels.

Implements wxGridCornerHeaderRenderer.